
import math

epsilon = float( input("How close? ") )

divisor = 1
total   = 1.0
terms   = 1

while abs(total - math.e) > epsilon:
    term_value = 1 / divisor
    total      = total + term_value
    terms      = terms + 1
    
    divisor    = divisor * terms     # (n+1)! = (n+1) * n!

print('Computed value =', total)
print('Actual value   =', math.e)
print('Difference     =', math.e - total)
print('Tolerance      =', epsilon)
print('Terms needed   =', terms)
